Subject: Running interpret-trailers automatically on each commit?

From: Jeremy Morton <[email-masked]>
Date: Fri, 28 Aug 2015 16:22:25 +0100

I see that interpret-trailers has been added by default in git 2.5.0. 
  However the documentation isn't that great and I can't tell whether 
it gets run automatically when I do a "git commit".  My guess is that 
it doesn't - that you have to set up a hook to get it to run each commit.

As far as I can tell, there is no way to configure global git hooks. 
Sure, you can set init.templatedir but that only applies for 
newly-init'ed or cloned repos.  So if I have 50 repos on my hard drive 
I still have to go through every one of them and set up a hook for it.

Basically, am I right in thinking that there is *still* no way for me 
to configure git (on a global, not per-repo basis) to automatically 
tack a trailer onto every commit message?  For the record, I want that 
trailer to be the current branch name.

-- 
Best regards,
Jeremy Morton (Jez)